.poll {
    &__answer {
        height: 90px;

        &:after {
            content: '';
            position: absolute;
            bottom: 0;
            left: 0;
            width: 100%;
            height: 6px;
            background-color: #e4e4e4;
            z-index: 2;
        }

        &__line {
            position: absolute;
            bottom: 0;
            left: 0;
            height: 6px;
            z-index: 3;

            &--1 {
                background-color: #f6ed2f;
            }

            &--2 {
                background-color:#1b9b48;
            }

            &--3 {
                background-color: #ff163c;
            }

            &--4 {
                background-color: #8e182f; 
            }
        }

        &:hover &__button {
            background-color: map-get($colors, 'red');
            color: map-get($colors, 'white');

            &[disabled] {
                color: rgba(0, 0, 0, 0.4);
                background-color: #e4e4e4;
                box-shadow: 0 0 17.9px 3.2px rgba(0, 0, 0, 0.15);
            }
        }

        &__percentage {
            font-size: rem(30);
        }

        &__button {
            width: 30px;
            box-shadow: 0 0 17.9px 3.2px rgba(0, 0, 0, 0.15);
            transition: background-color $transition-duration, color $transition-duration;

            &[disabled] {
                color: rgba(0, 0, 0, 0.4);
                background-color: #e4e4e4;
                cursor: not-allowed;
            }
        }
    }
}
